using UnityEngine;

namespace Wizard;

public class GatheringFriendInviteListPlate : MonoBehaviour
{
	[SerializeField]
	private GameObject _alreadyAddGathering;

	[SerializeField]
	private GameObject _alreadyInvited;

	[SerializeField]
	private UserListViewPlate _friendListPlate;

	public void Initialize(GatheringFriendListTask.InviteFriendData inviteData)
	{
		_alreadyAddGathering.SetActive(inviteData.IsJoinGathering);
		_friendListPlate.SetButtonVisible(!inviteData.IsJoinGathering && !inviteData.IsInvited);
		_alreadyInvited.SetActive(inviteData.IsInvited);
	}
}
